gLength {rgeos} | R Documentation

## Length of Geometry

### Description

Calculates the length of the given geometry.

### Usage

    	gLength(spgeom, byid=FALSE)

### Arguments

`spgeom` | sp object as defined in package sp
`byid` | Logical determining if the function should be applied across subgeometries (TRUE) or the entire object (FALSE)

### Value

Returns the length of the geometry in the units of the current projection. By definition [MULTI]POINTs have a length of 0. The length of POLYGONs is the sum of the length of their shell and their hole(s).

### Author(s)

Roger Bivand & Colin Rundel

### See Also

`gArea`

### Examples

    gLength(readWKT("POINT(1 1)"))

    gLength(readWKT("LINESTRING(0 0,1 1,2 2)"))
    gLength(readWKT("LINESTRING(0 0,1 1,2 0,3 1)"))

    gLength(readWKT("POLYGON((0 0,3 0,3 3,0 3,0 0))"))
    gLength(readWKT("POLYGON((0 0,3 0,3 3,0 3,0 0),(1 1,2 1,2 2,1 2,1 1))"))

[Package rgeos version 0.5-1 Index]